HOSTNAME(1)

NAZWA
hostname - wyświetla lub ustawia systemową nazwę komputera
domainname - wyświetla lub ustawia systemową nazwę domeny NIS/YP
ypdomainname - wyświetla lub ustawia nazwę domeny NIS/YP
nisdomainname - wyświetla lub ustawia systemową nazwę domeny NIS/YP
dnsdomainname - wyświetla nazwę domenową systemu

SKŁADNIA
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--file nazwa_pliku] [nazwa_komputera]
hostname [-h|--help] [-V|--version]

domainname [domena_nis] [-F plik]
ypdomainname [domena_nis] [-F plik]
nisdomainname [domena_nis] [-F plik]

dnsdomainname

OPIS
Hostname jest programem służącym do wyświetlania systemowej nazwy DNS oraz do wyświetlania lub nadawania nazwy komputera lub nazwy domeny NIS.

  POBIERANIE NAZWY
Program wywołany bez żadnych argumentów wyświetla bieżące nazwy:

hostname wydrukuje nazwę systemu zwracaną przez funkcję gethostname(2).

domainname wyświetli nazwę domeny NIS systemu. domainname używa funkcji gethostname(2), podczas gdy ypdomainname i nisdomainname używają yp_get_default_domain(3).

dnsdomainname wydrukuje część pełnej nazwy domenowej (FQDN - Fully Qualified Domain Name) określającą domenę. Pełna nazwa domeny systemu zwracana jest przez funkcję hostname --fqdn (patrz także ostrzeżenia w rozdziale FQDN poniżej).

  NADAWANIE NAZWY
Opisywane polecenia wywołane z jednym argumentem lub z opcją --file ustawiają nazwę komputera lub nazwę domeny NIS/YP. hostname używa w tym celu funkcji sethostname(2) , podczas gdy pozostałe trzy polecenia, czyli domainname, ypdomainname oraz nisdomainname, używają setdomainname(2). Proszę zauważyć, że zmieniona nazwa obowiązuje tylko do kolejnego restartu komputera. Stałą zmianę można uzyskać, edytując plik /etc/hostname.

Proszę zauważyć, że tylko administrator może zmienić te nazwy.

Przy pomocy polecenia dnsdomainname nie jest możliwe nadanie pełnej nazwy domenowej (FQDN) lub nazwy domeny DNS (zobacz FQDN poniżej).

Nazwa komputera jest zwykle nadawana jednorazowo podczas startu systemu w /etc/init.d/hostname.sh (zazwyczaj przez odczytanie zawartości pliku zawierającego nazwę komputera, np. /etc/hostname).

  FQDN (pełna złożona nazwa domeny)
Systemowa FQDN (ang. Fully Qualified Domain Name) jest nazwą, którą resolver(3) zwraca jako nazwę komputera, np. ursula.example.com. Jest to zwykle nazwa komputera razem z nazwą domenową DNS (część po pierwszej kropce). Można sprawdzić wartość FQDN poleceniem hostname --fqdn, a nazwę domenową za pomocą dnsdomainname.

Nie da się zmienić FQDN za pomocą hostname ani dnsdomainname.

Zalecanym sposobem ustawiania FQDN jest ustawienie nazwy komputera (ang. hostname) jako aliasu do FQDN za pomocą /etc/hosts, DNS lub NIS. Przykładowo, jeśli nazwa komputera brzmi "ursula", to w pliku /etc/hosts można umieścić wiersz

    127.0.1.1 ursula.example.com ursula

Technicznie: pełna nazwa domeny jest nazwą, którą zwraca getaddrinfo(3) dla nazwy zwracanej przez gethostname(2). Nazwa domeny DNS jest częścią nazwy występującą po pierwszej kropce.

Dlatego też od danej konfiguracji mechanizmu rozwiązującego nazwy (zwykle określanej w /etc/host.conf) zależy, w jaki sposób można zmienić pełną nazwę domeny. Na ogół plik nazw komputerów jest analizowany przed DNS lub NIS, więc najczęściej można ją zmienić w pliku /etc/hosts.

Jeśli komputer ma wiele interfejsów lub adresów sieciowych albo jeśli jest używany w środowisku przenośnym, to może albo mieć kilka pełnych nazw domenowych, albo nie mieć żadnej. Dlatego prosimy unikać używania hostname --fqdn, hostname --domain i dnsdomainname. hostname --ip-address ma podobne ograniczenia, więc powinno się również unikać używania tej opcji.

OPCJE

-a, --alias
    Wyświetla alternatywną nazwę komputera (alias), jeśli jest używana. Opcja jest przestarzała i nie powinna być używana.

-A, --all-fqdns
    Wyświetla wszystkie pełne nazwy domenowe (FQDN) maszyny. Ta opcja powoduje pobranie wszystkich adresów sieciowych ze wszystkich skonfigurowanych interfejsów sieciowych i przetłumaczenie ich na nazwy domenowe DNS. Adresy, których nie można przetłumaczyć (gdyż nie mają odpowiedniego odwrotnego wpisu w DNS-ie), są pomijane. Proszę zauważyć, że różne adresy mogą się rozwijać do tej samej nazwy, tak więc na wyjściu mogą się pojawić zduplikowane wpisy. Prosimy nie robić żadnych założeń odnośnie do kolejności wpisów na wyjściu.

-b, --boot
    Zawsze ustawia nazwę komputera. Plik podany w opcji -F może nie istnieć lub być pusty — w takim wypadku zostanie użyta domyślna nazwa localhost, jeśli nazwa komputera nie jest jeszcze ustawiona.

-d, --domain
    Wyświetla nazwę domeny DNS. Prosimy nie używać polecenia domainname do pobrania nazwy domeny DNS, ponieważ wyświetla ono nazwę domeny NIS, a nie domeny DNS. Należy użyć dnsdomainname zamiast niego. Prosimy zapoznać się z ostrzeżeniami w rozdziale FQDN powyżej i unikać używania tej opcji.

-f, --fqdn, --long
    Wyświetla pełną nazwę domenową komputera (FQDN - Fully Qualified Domain Name). Nazwa ta składa się z nazwy komputera i nazwy domeny DNS. O ile do przekształcania nazw na adresy nie jest używany serwer bind lub NIS, można w pliku /etc/hosts zmienić pełną nazwę domenową i nazwę domeny DNS (będącą częścią pełnej nazwy domenowej). Prosimy zapoznać się z ostrzeżeniami w rozdziale FQDN (pełna złożona nazwa domeny) powyżej i nie używać tej opcji, używając zamiast niej hostname --all-fqdns.

-F, --file filename
    Czyta nazwę komputera z podanego pliku. Komentarze, czyli linie zaczynające się od znaku "#", są ignorowane.

-i, --ip-address
    Wyświetla adres sieciowy (lub adresy sieciowe) nazwy komputera. Prosimy zauważyć, że działa to tylko wtedy, gdy nazwa komputera może być przetłumaczona na adres. Prosimy unikać używania tej opcji i zamiast niej używać hostname --all-ip-addresses.

-I, --all-ip-addresses
    Wyświetla wszystkie adresy sieciowe komputera. Ta opcja powoduje pobranie wszystkich adresów sieciowych ze wszystkich skonfigurowanych interfejsów sieciowych. Adresy interfejsu zwrotnego (loopback) i adresy IPv6 mapowania lokalnych adresów IPv4 są pomijane. W przeciwieństwie do opcji -i, ta opcja nie zależy od przekształceń adresów na nazwy. Prosimy nie robić żadnych założeń odnośnie do kolejności wpisów na wyjściu.

-s, --short
    Wyświetla krótką nazwę komputera. Jest to nazwa komputera obcięta przed pierwszą kropką.

-V, --version
    Drukuje informację o wersji na standardowym wyjściu i pomyślnie kończy pracę.

-y, --yp, --nis
    Wyświetla nazwę domeny NIS. Jeżeli podano parametr (lub opcję --file nazwa) to administrator może też nadać nową nazwę domenie NIS.

-h, --help
    Wyświetla komunikat pomocy i kończy działanie.

UWAGI
Rodziny adresów, które hostname przegląda podczas wyszukiwania pełnej nazwy domenowej, aliasy i adresy sieciowe komputera są określane przez konfigurację programu rozpoznawania nazw (resolver). Na przykład w systemach używających biblioteki GNU libc, program rozpoznawania nazw można skonfigurować (używając opcji inet6 w pliku /etc/resolv.conf) w taki sposób, żeby najpierw próbował wyszukiwać adresy IPv6.

PLIKI
/etc/hostname Historycznie ten plik miał zawierać tylko nazwę komputera bez pełnej nazwy domenowej (FQDN). Obecnie większość programów obsługuje pełne nazwy domenowe w tym pliku. Plik jest odczytywany w trakcie rozruchu przez skrypty inicjujące system w celu ustawienia nazwy komputera.

/etc/hosts Zwykle jest to plik, gdzie ustawia się nazwę domenową dzięki ustawieniu nazwy komputera jako aliasu do FQDN.

AUTORZY
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS i strona podręcznika).
Michael Meskes, <meskes@debian.org>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.13 oryginału.